Subject: RE: Order Cancellation (#EH-202104140010-366833)
From: Jessica Stephenson <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 14 Apr 2021 13:28:47 +0000

We did not receive this order. 

Jessica Stephenson  |  Processing Manager
Specialty Fulfillment Center Inc
3 - 17th Avenue South
Nampa, Idaho 83651
208.466.2647
[email-masked]

Complete Customer Fulfillment Management

SFC is committed to delivering a full range of order fulfillment solutions in an easy-to-implement, cost effective friendly manner
Experience Matters

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Tuesday, April 13, 2021 11:46 PM
To: Jessica Stephenson <[email-masked]>
Cc: [email-masked]
Subject: Order Cancellation (#EH-202104140010-366833)

Hi Jessica,

Greetings for the day. I hope you are doing well.

Please cancel the said order. I have gone ahead and cancel it from UC along with that I have issue the refund as well. If you will receive this order in your data, please DO NOT SHIP.

Order ID #EH-202104140010-366833

Name:Jose Salazar
Address:152 south bridge street, apt 50B :Apt 50B City:Somerville State:NJ
Zip:08876
Country:United States
Phone:7329175225

--
Thank you,
Davina
HFL Customer Support